Support » Installing WordPress » No WYSIWYG Editor in 2.1

  • Our new tabbed editor allows you to switch between WYSIWYG and code editing instantly while writing a post.

    After upgrading to 2.1 everthing works fine, but I can’t find a ‘tabbed editor’. Just get a plain text editor.

Viewing 15 replies - 16 through 30 (of 70 total)
  • This might be a red herring, but I noticed I got an SSL error that initially disabled some buttons on the visual editor after I first installed 2.10. My host cleared this up and then everything worked fine. Do you see any errors when you try to load the write post or write page?

    No, I don’t. Everything appears to load as designed. I’ve just tried it again, and get no errors.

    no errors for me either.

    Not only do I not have any WYSIWYG commands, or tabs to switch between writing formats, but when I attempt to save what I have written I get the following error message:

    Warning: Cannot modify header information – headers already sent by (output started at /home/p/private-intellectual.de/public_html/wp-content/advanced-cache.php:1) in /home/p/private-intellectual.de/public_html/wp-includes/pluggable.php on line 275

    Bascially this means that I cannot write and then save any new posts, which makes WP pretty redundant on the whole.

    The last thing I can think of is to restart mySQL.

    If that doesn’t work, you could try a fresh WP 2.1 install in a subdir of your site. If it didn’t work there, you’d know the problem is something to do with WP/server/host. If it did work, you’d know the problem has something to do your install.

    Deactivate all of your plugins (including Akismet)- test – reactivate one by one.

    The plugins have no effect for me. I may try installing 2.1 over again, waiting on that as a last option though.

    Aha!!! Tried the plug-ins, and my problems cleared as soon as I deactivated the WYSI-WordPress plugin.

    Why will nothing fix mine!!! If only it were that easy.

    Yup. I’m having similar problems.

    I completely wiped everything, including the content directory and uploaded WP 2.1. I didn’t have any pluggins, apart from the ones that come with the stock WP and they were all disabled anyway.

    RTF Just doesn’t want to work.

    Everything else seems fine, albeit a little slow.

    yes, mine is quite slow also, besides the fact that RTF doesn’t work. I am glad I’m not alone in this problem at least.

    Mine is still slow, however I appear to have sorted out a couple of problems. I removed (not deleted!) the wp-config.php file and up loaded a new, blank, advanced-cache.php file to wp-content then uploaded the wp-config.php file once more. This resulted in the system telling me that the wp-config.php file was already there so I had no need to re-config. The write page now appears in its full glory and I can save posts once more.

    My web-host has stopped supporting the PHP command virtual(). Could this or/and the fact that PHP is now running in CGI mode be the source of the problem?

    I deactivated the plugins imagemanager and plain-text-paste and then my visual rich editor came back. So the plugins caused an error with tinyMCE. 2.1 now works fine.

    Has anyone fixed this problem? I use Firefox, a Mac and just installed 2.1 and I can’t even edit my posts. I have no editor tabs, no icons, no rich text. How would I deactivate the plugins image manager? I don’t understand the directions of the latest comment by AdrianusV.

Viewing 15 replies - 16 through 30 (of 70 total)
  • The topic ‘No WYSIWYG Editor in 2.1’ is closed to new replies.